CREATE TABLE CLEARANCEDETAILS
(
  CLEARANCEID Integer NOT NULL,
  AGE Integer,
  GENDER Varchar(6),
  CIVILSTATUS Varchar(25),
  ADDRESS Varchar(100),
  REMARKS Varchar(100),
  PURPOSE Varchar(50),
  COLID Integer,
  PRIMARY KEY (CLEARANCEID)
);

ALTER TABLE CLEARANCEDETAILS ADD
  FOREIGN KEY (COLID) REFERENCES COLLECTIONS (COLID) ON UPDATE CASCADE ON DELETE CASCADE;
GRANT DELETE, INSERT, REFERENCES, SELECT, UPDATE
 ON CLEARANCEDETAILS TO  SYSDBA WITH GRANT OPTION;

